Prev |  | Next

# FcFreeTypeCharSetAndSpacing

## Name

FcFreeTypeCharSetAndSpacing -- compute unicode coverage and spacing type

## Synopsis

    #include <fontconfig.h>
    #include <fcfreetype.h>

``FcCharSet * FcFreeTypeCharSetAndSpacing`(FT_Face face, FcBlanks *blanks, int *spacing);`

## Description

Scans a FreeType face and returns the set of encoded Unicode chars. This scans several encoding tables to build as complete a list as possible. If 'blanks' is not 0, the glyphs in the font are examined and any blank glyphs not in 'blanks' are not placed in the returned FcCharSet. `spacing` receives the computed spacing type of the font, one of FC_MONO for a font where all glyphs have the same width, FC_DUAL, where the font has glyphs in precisely two widths, one twice as wide as the other, or FC_PROPORTIONAL where the font has glyphs of many widths.

## Version

Fontconfig version 2.6.0

Prev | Home | Next
FcFreeTypeCharSet | Up | FcFreeTypeQuery